coupang
POST/v2/providers/openapi/apis/api/v4/vendors/{vendorId}/exchangeRequests/{exchangeId}/invoicesv1

Upload a waybill for exchange product

# 01

Summary

Available buyer market: Korean Upload the waybill for a product to be exchanged.

# 02

Details

Available buyer market: Korean
Upload the waybill for a product to be exchanged.
Run [API to check the receipt of exchange product] and [query a list of exchange requests], and if the pickup status (collectStatus) is Sent to the vendor (CompleteCollect), you can execute this [Exchange Waybill Upload API].  
 
After checking the receipt of an exchange product, query a list of exchange requests to create deliveryInvoiceGroupDtos.
When uploading an exchange waybill, query the newly created shipmentBoxId and enter it.
※ You can upload an exchange waybill up to 10 minutes after checking the receipt of the exchange product.

 

Path

POST

/v2/providers/openapi/apis/api/v4/vendors/{vendorId}/exchangeRequests/{exchangeId}/invoices

Example Endpoint

https://api-gateway.coupang.com/v2/providers/openapi/apis/api/v4/vendors/A00012345/exchangeRequests/100000170/invoices

Request Parameters

Path Segment Parameter

Name Required Type Description
vendorId String
Seller ID
Unique code issued to Vendor by Coupang
ex) A00012345
exchangeId O Number 
Exchange receipt ID
Enter exchangeId shown on the list of exchange requests

Body Parameter

Name Required Type Description
exchangeId O Number
Exchange receipt ID
Enter exchangeId shown on the list of exchange requests
vendorId O String
Seller ID
Unique code issued to Vendor by Coupang
ex) A00012345
goodsDeliveryCode O String
Courier code
invoiceNumber O String
Waybill number
shipmentBoxId O Number
Delivery number
Delivery number for re-delivery
Enter the newly created shipmentBoxId below deliveryInvoiceGroupDtos on the list of exchange requests after checking receipt.

Request Example

[
  {
    "exchangeId": "100000170",
    "vendorId": "A00012345",
    "shipmentBoxId": "123456789012345678",
    "goodsDeliveryCode": "CJGLS",
    "invoiceNumber": "680405450931"
  }
]

Response Message

Name Type Description
code Number
Result code
message String
Message
data Object
Returned result
  resultCode String
SUCCESS or FAIL
  resultMessage String
Result message

Response Example

{
  "code": "200",
  "message": "SUCCESS",
  "data": {
    "resultCode": "SUCCESS",
    "resultMessage": "Invoice number save successfully"
  }
}

Error Spec

HTTP status code (error type) Error message How to resolve
400 (check request parameter) params are not allowed null...

Check if all the parameters are entered.

 

URL API Name

UPDATE_INVOICE_EXCHANGE_REQUEST